<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
$sld     = ( ! empty( $_REQUEST['sld'] ) ) ? esc_attr( $_REQUEST['sld'] ) : '';
$tld     = ( ! empty( $_REQUEST['tld'] ) ) ? esc_attr( $_REQUEST['tld'] ) : '';
$type    = ( ! empty( $_REQUEST['domain'] ) ) ? esc_attr( $_REQUEST['domain'] ) : 'register';
$gids    = ( ! empty( $gids ) ) ? $gids : '';
$pids    = ( ! empty( $pids ) ) ? $pids : '';
$domain  = $sld . $tld;
$on_load = ( $domain <> "" ) ? 'wcop_df_submit_on_load' : '';

$curr_domains = [];
$curr_cart    = whcom_get_cart()['all_items'];
foreach ( $curr_cart as $item ) {
	if ( ! empty( $item['domain'] ) ) {
		$curr_domains = $item['domain'];
	}
}

?>

<?php if ( ( $domain == '' ) && empty( $curr_domains ) ) { ?>
	<div class="wcop_df_domain_search wcop_df_page">
		<div class="wcop_df_page_header">
			<div class="wcop_df_page_header_content">
				<div class="whcom_row">
					<div class="whcom_col_xs_3">
					<span class="wcop_df_page_header_step">
						<span class="wcop_df_page_header_step_icon">
							<i class="whcom_icon_user-2"></i>
						</span>
						<span class="wcop_df_page_header_step_text">
							<?php esc_html_e( 'Step', "whcom" ) ?><sup>1</sup><br><?php esc_html_e( 'Search', "whcom" ) ?>
						</span>
					</span>
					</div>
					<div class="whcom_col_xs_6 whcom_text_center_xs">
						<?php esc_html_e( 'Search for your dream domain below', "whcom" ) ?>
					</div>
					<div class="whcom_col_xs_3"></div>
				</div>
			</div>
		</div>
		<div class="wcop_df_domain_search_form wcop_df_page_header_2">
			<form class="<?php echo $on_load ?>" method="post" id="wcop_df_domain_search_form">
				<input type="hidden" name="action" value="wcop_domain_first">
				<input type="hidden" name="wcop_what" value="domain_search">
				<input type="hidden" name="type" value="<?php echo $type ?>">
				<input type="hidden" name="gids" value="<?php echo $gids ?>">
				<input type="hidden" name="pids" value="<?php echo $pids ?>">
				<label for="domain_name">Search Domain</label>
				<div class="wcop_df_domain_search_form_input">
					<input type="text" name="domain" id="domain_name" placeholder="yourdomain.com" value="<?php echo $domain ?>">
					<button type="submit"><?php esc_html_e( 'Search', "whcom" ) ?></button>
				</div>
			</form>
		</div>
		<div class="wcop_df_sub_heading whcom_text_center_xs">
			<span><?php esc_html_e( 'Search Results', "whcom" ) ?></span>
		</div>
		<div class="wcop_df_domain_search_result ">
			<div class="wcop_df_domain_search_result_content wcop_df_page_content" style="display: none">

			</div>
		</div>
	</div>
<?php }
else { ?>
	<?php

	$_REQUEST['gids'] = $gids;
	$_REQUEST['pids'] = $pids;
	include_once WCOP_PATH . '/shortcodes/domain_first/style1/02_product.php';
	?>


<?php } ?>
