<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
$current_promo = whcom_get_current_promo();
?>
<div class="whcom_page_heading">
	<?php esc_html_e('Review & Checkout', "whcom" )?>
</div>
<div class="wcop_cart_list whcom_row">
	<div class="whcom_col_sm_8 wcop_cart_list_main">
		<div class="whcom_op_promo_response">

		</div>

		<div class="whcom_panel whcom_panel_fancy_2 whcom_panel_primary">
			<div class="whcom_panel_header">
				<div class="whcom_row">
					<div class="whcom_col_sm_7">
						<?php esc_html_e('Product/Options', "whcom" )?>
					</div>
					<div class="whcom_col_sm_5 whcom_text_right_sm">
						<?php esc_html_e('Price/Cycle', "whcom" )?>
					</div>
				</div>
			</div>
			<div class="whcom_panel_body" style="padding: 0 !important; background: white !important;">
				<div class="wcop_universal_cart_summary_detailed">
					<div class="whcom_text_center_xs"><i class="whcom_icon_spinner-1 whcom_animate_spin"></i></div>
				</div>
			</div>
		</div>
		<div class="whcom_text_right wcop_cart_list_reset_button whcom_margin_bottom_45">
			<?php include_once( WCOP_PATH . '/shortcodes/shortcode-parts/reset_cart.php' ); ?>
		</div>

		<div class="whcom_op_promo_container">
			<?php echo whcom_op_render_promo_form(); ?>
		</div>
	</div>
	<div class="whcom_col_sm_4 whcom_summary_sidebar" style="padding: 0 10px;">
		<div class="whcom_panel">
			<div class="whcom_panel_header">
				<span><?php esc_html_e('Order Summary', "whcom" )?></span>
			</div>
			<div class="wcop_universal_cart_summary_side whcom_panel_body">
				<div class="whcom_text_center_xs"><i class="whcom_icon_spinner-1 whcom_animate_spin"></i></div>
			</div>
			<div class="wcop_summary_footer whcom_panel_footer whcom_text_right">
				<div class="whcom_margin_bottom_15">

                    <a href="?a=checkout" class="whcom_universal_checkout_button whcom_button whcom_button_success whcom_button_big" disabled="disabled"><?php esc_html_e( 'Checkout', "whcom" ) ?></a>
				</div>
				<div>
					<?php include_once( WCOP_PATH . '/shortcodes/shortcode-parts/continue_shopping.php' ); ?>
				</div>
			</div>
		</div>
	</div>
</div>



