<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );

?>

<div class="whcom_tabs_container">
	<ul class="whcom_tab_links whcom_text_center">
		<li data-tab="register_account" class="active whcom_tab_link whcom_button">
			<?php esc_html_e( 'Register New Account', "whcom" ) ?>
		</li>
		<li data-tab="user_login" class="whcom_tab_link whcom_button">
			<?php esc_html_e( 'Already Registered?', "whcom" ) ?>
		</li>
	</ul>
	<div class="whcom_tabs_content active" id="register_account">
		<form class="wcop_registration_form" method="post">
			<input type="hidden" name="action" value="wcop_add_client">

			<?php echo whcom_render_register_form_fields(); ?>
			<div class="wcop_tos_container">
				<?php echo whcom_render_tos_fields(); ?>
			</div>
			<div class="wcop_response" style="display: none"></div>
            <div class="whcom_form_field whcom_form_field_horizontal whcom_text_center_xs">
				<button type="submit"><?php esc_html_e( 'Register', "whcom" ) ?></button>
			</div>
		</form>
	</div>
	<div class="whcom_tabs_content wcop_login_form" id="user_login">
		<form class="wcop_login_form" method="post">
			<input type="hidden" name="action" value="wcop_client_login">
			<div class="whcom_form_field whcom_form_field_horizontal">
				<label for="wcop_login_user"
				       class="main_label"><?php esc_html_e( 'Email', "whcom" ) ?></label>
				<input type="email" name="email" id="wcop_login_email"
				       placeholder="<?php esc_html_e( 'Email', "whcom" ) ?>" required>
			</div>
			<div class="whcom_form_field whcom_form_field_horizontal">
				<label for="wcop_login_pass"
				       class="main_label"><?php esc_html_e( 'Password', "whcom" ) ?></label>
				<input type="password" name="pass" id="wcop_login_pass"
				       placeholder="<?php esc_html_e( 'Password', "whcom" ) ?>">
			</div>
			<div class="whcom_form_field whcom_form_field_horizontal whcom_text_center_xs">
				<div class="wcop_response" style="display: none"></div>
				<button type="submit"><?php esc_html_e( 'Log In', "whcom" ) ?></button>
			</div>
		</form>
	</div>
</div>

<form class="whcom_login_register_response_container" method="post" style="display: none !important;">
	<input type="hidden" name="checkout" value="1">
</form>





