<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
$enable_tos = ( ! empty( $whcom_whmcs_settings ) && ! empty( $whcom_whmcs_settings['EnableTOSAccept'] ) && strtolower( $whcom_whmcs_settings['EnableTOSAccept'] ) == 'on' ) ? true : false;
$tos_link   = ( ! empty( $whcom_whmcs_settings ) && ! empty( $whcom_whmcs_settings['TermsOfService'] ) ) ? esc_url( $whcom_whmcs_settings['EnableTOSAccept'] ) : '';

?>


<div class="wcop_sp_section_heading">
	<i class="whcom_icon_thumbs-up-alt"></i>
	<span><?php esc_html_e( "Review Order Details", "whcom" ) ?></span>
	<span class="whcom_icon_spinner-1 whcom_animate_spin wcop_sp_product_summary_spinner"></span>
</div>
<div class="wcop_sp_section_content">
	<div class="wcop_sp_order_summary">
	</div>
	<?php if ( $enable_tos ) { ?>
		<div class="whcom_form_field whcom_text_center">
			<label for="wcop_agree_tos" class="whcom_checkbox" style="display: inline-block;">
				<input id="wcop_agree_tos" name="agree_tos" type="checkbox" required="required" value="yes">
				<?php esc_html_e( "I have read and agree to the", "whcom" ) ?>
			</label>
			<a href="<?php echo $tos_link?>"><?php esc_html_e( "Terms of Services", "whcom" ) ?></a>
		</div>
	<?php } ?>
	<div class="whcom_sp_order_response">

	</div>
	<div class="whcom_form_field whcom_text_center">
		<button type="submit" class="whcom_button whcom_button_big"><?php esc_html_e( "Checkout Now!", "whcom" ) ?></button>
	</div>
</div>