<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );

$page = (isset($page)) ? $page : 'www';
$www_active = $email_active = $about_active = $eligibility_active = $config_active = $summary_active = $checkout_active = $launch_active = '';
switch ($page) {
	case 'www' : {
		$www_active = ' active';
		break;
	}
	case 'email' : {
		$email_active = ' active';
		break;
	}
	case 'about' : {
		$about_active = ' active';
		break;
	}
	case 'eligibility' : {
		$eligibility_active = ' active';
		break;
	}
	case 'config' : {
		$config_active = ' active';
		break;
	}
	case 'summary' : {
		$checkout_active = ' active';
		break;
	}
	case 'checkout' : {
		$checkout_active = ' active';
		break;
	}
	case 'launch' : {
		$launch_active = ' active';
		break;
	}
	default : {

	}
}
?>


<ul class="wcop_df_steps">
	<li class="<?php echo $www_active?>">
		<i class="whcom_icon_www"></i>
		<span>Search</span>
	</li>
	<li class="<?php echo $email_active?>">
		<i class="whcom_icon_mail"></i>
		<span>Pro Email</span>
	</li>
	<li class="<?php echo $about_active?>">
		<i class="whcom_icon_user"></i>
		<span>About You</span>
	</li>
	<li class="<?php echo $eligibility_active?>">
		<i class="whcom_icon_like"></i>
		<span>Eligibility</span>
	</li>
	<li class="<?php echo $config_active?>">
		<i class="whcom_icon_wrench"></i>
		<span>Order Config</span>
	</li>
	<li class="<?php echo $checkout_active?>">
		<i class="whcom_icon_card"></i>
		<span>Secure Pay</span>
	</li>
	<li class="<?php echo $launch_active?>">
		<i class="whcom_icon_rocket"></i>
		<span>Launch</span>
	</li>
</ul>
