<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );

$curr_domains = [];
$curr_cart    = whcom_get_cart()['all_items'];
$gids    = ( ! empty( $gids ) ) ? $gids : '';
$pids    = ( ! empty( $pids ) ) ? $pids : '';
foreach ( $curr_cart as $index => $item ) {
	if ( ! empty( $item['domain'] ) ) {
		$curr_domains[] = [
			'cart_index'     => $index,
			'domain_name'    => $item['domain'],
			'domain_product' => $item['pid']
		];
	}
}


?>


<div class="wcop_df_products_page wcop_df_page">
	<div class="wcop_df_page_header">
		<?php esc_html_e( 'Search for your dream domain below', "whcom" ) ?>
	</div>
	<div class="wcop_df_page_header_2">
		<?php $page = 'email' ?>
		<?php include_once WCOP_PATH . '/shortcodes/domain_first/style1/00_top_icons.php'; ?>
	</div>
	<div class="wcop_df_sub_heading whcom_text_center_xs">
		<span><?php esc_html_e( 'Get Professional Email', "whcom" ) ?></span>
	</div>
	<div class="wcop_df_products_container wcop_df_page_content">
		<div class="wcop_df_products_banner">
			<div class="holder">
				<span>20% OFF</span>
			</div>
		</div>
		<div class="wcop_df_products_continue">
			<button class="whcom_button whcom_button_success whcom_button_big" id="wcop_df_products_continue">
				<span><?php esc_html_e( 'Continue', "whcom" ) ?></span>
			</button>
		</div>
		<div class="wcop_df_products_icon wcop_df_page_content_icon">
			<i class="whcom_icon_mail"></i>
		</div>
		<div class="wcop_df_sub_heading">
			<span>you@yourdomain.com</span>
		</div>
		<div class="wcop_df_products ">
			<div class="wcop_df_products_img_main">
				<img src="<?php echo WCOP_URL . '/assets/images/style1/products_banner.jpg' ?>" alt="Select Email Package">
				<?php if ( ! empty( $curr_domains ) ) { ?>
					<div class="wcop_df_domain_dropdown whcom_form_field">
						<input type="hidden" name="pids" value="<?php echo $pids; ?>">
						<input type="hidden" name="gids" value="<?php echo $gids; ?>">
						<label for="wcop_df_domain_dropdown"></label>
						<select name="wcop_df_domain_dropdown" id="wcop_df_domain_dropdown">
							<?php foreach ( $curr_domains as $curr_domain ) { ?>
								<option
									value="<?php echo $curr_domain['cart_index'] ?>"
									data-cart-index="<?php echo $curr_domain['cart_index'] ?>"
									data-domain-product="<?php echo $curr_domain['domain_product'] ?>"
								><?php echo $curr_domain['domain_name'] ?></option>
							<?php } ?>
						</select>
					</div>
				<?php } ?>
			</div>
			<div class="wcop_df_products_wrapper">
				<?php $_REQUEST['cart_index'] = $curr_domains[0]['cart_index'] ?>
				<?php include_once WCOP_PATH . '/shortcodes/domain_first/style1/02_products_list.php'; ?>
			</div>
		</div>
		<div class="wcop_df_products_img_2">
			<img src="<?php echo WCOP_URL . '/assets/images/style1/kangaroo2.png' ?>" alt="Select Email Package">
		</div>
		<div class="whcom_clearfix"></div>
	</div>
</div>







