<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
$all_contacts = whcom_get_client_contacts();
$curr_user = whcom_get_current_client();

$contact_types = [
	'registrant',
	'admin',
	'tech',
	'billing',
];
?>

<ul class="wcop_df_contact_list">
	<li class="wcop_df_contact">
		<input type="radio" id="contact_<?php echo $contact_type ?>_primary" name="contact_<?php echo $contact_type?>" value="primary" checked="checked">
		<label for="contact_<?php echo $contact_type ?>_primary">
			<i class="whcom_icon_user"></i>
			<span class="wcop_df_contact_name"><?php echo $curr_user['firstname'] ?> <?php echo $curr_user['lastname'] ?> (<?php esc_html_e( 'Primary', "whcom" ) ?>)</span>
			<span class="wcop_df_contact_email"><?php echo $curr_user['email'] ?></span>
			<i class="whcom_icon_circle-empty"></i>
		</label>
	</li>
	<?php if ( ! empty( $all_contacts ) && is_array( $all_contacts ) ) { ?>
		<?php foreach ( $all_contacts as $contact ) { ?>
			<li class="wcop_df_contact">
				<input type="radio" id="contact_<?php echo $contact_type . $contact['id'] ?>" name="contact_<?php echo $contact_type?>" value="<?php echo $contact['id'] ?>"">
				<label for="contact_<?php echo $contact_type . $contact['id'] ?>">
					<i class="whcom_icon_user"></i>
					<span class="wcop_df_contact_name"><?php echo $contact['firstname'] ?> <?php echo $contact['lastname'] ?></span>
					<span class="wcop_df_contact_email"><?php echo $contact['email'] ?></span>
					<i class="whcom_icon_circle-empty"></i>
				</label>
			</li>
		<?php } ?>
	<?php } ?>
</ul>
