<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
?>

<div class="wcop_df_section_heading_2">
	<span>
		<?php echo $curr_domain['domain_name']; ?>
		<?php esc_html_e( 'Configuration', "whcom" ) ?>
	</span>
</div>
<div class="wcop_df_domain_eligibility_form_container">
	<div class="whcom_form_field whcom_form_field_horizontal">
		<label for="wcop_product_domainduration" class="main_label"><?php esc_html_e( 'Domain Duration', "whcom" ); ?></label>
		<select id="wcop_product_domainduration" name="domainduration[<?php echo $cart_index; ?>]">
			<?php
			foreach ( $tld_register_prices as $dur ) {
				$dur_txt = esc_html__( 'For', "whcom" );
				$dur_txt .= ' ' . $dur['duration'] . ' ';
				$dur_txt .= ( $dur['duration'] == 1 ) ? esc_html__( 'Year', "whcom" ) : esc_html__( 'Years', "whcom" );
				if ( $dur['price'] < 0 ) {
					continue;
				}
				echo '<option value="' . $dur['duration'] . '">' . whcom_format_amount( [ 'amount' => $dur['price'] ] ) . ' ' . $dur_txt . '</option>';
			}
			?>
		</select>
	</div>

	<?php
	if ( $curr_domain['domain_type'] == 'register' ) {
		echo whcom_render_tld_specific_fields( $curr_domain['domain_tld'], $cart_index );
	}
	else if ( $curr_domain['domain_type'] == 'transfer' ) { ?>
		<div class="wcop_domain_epp">
			<div class="whcom_form_field whcom_form_field_horizontal">
				<label for="inputAuthCode" class="main_label">Authorization Code</label>
				<input type="text" class="form-control" name="epp" id="inputAuthCode" placeholder="Epp Code / Auth Code" required="required">
			</div>
		</div>
	<?php } ?>
</div>


