<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
$currency_id          = ( ! empty( $currency_id ) ) ? whcom_validate_currency_id( $currency_id ) : whcom_get_current_currency_id();
$order_type           = ( ! empty( $order_type ) ) ? $order_type : '';
$affiliate_id         = ( ! empty( $affiliate_id ) ) ? $affiliate_id : '';
$style                = ( ! empty( $style ) ) ? $style : '';
$whcom_whmcs_settings = whcom_get_whmcs_setting();

?>


<div class="whcom_main wcop_main wcop_sp_main wcop_style_1" id="wcop_sp_main">
	<div class="wcop_sp_nav whcom_sticky_item" data-nav-top-gap="<?php echo get_option('wcop_sp_nav_offset', 80);?>">
		<ul>
			<li class="active">
				<a href="#wcop_choose_a_domain" class="whcom_smooth_scroll" data-scroll-top-gap="<?php echo get_option('wcop_sp_scroll_offset', 140);?>">
					<span class="wcop_sp_nav_number"><?php esc_html_e( "1", "whcom" ) ?></span>
					<span class="wcop_sp_nav_text"><?php esc_html_e( "Domain", "wcap" ) ?></span>
				</a>
				<span class="wcop_sp_nav_divider"></span>
			</li>
			<li>
				<a href="#wcop_choose_a_hosting" class="whcom_smooth_scroll" data-scroll-top-gap="<?php echo get_option('wcop_sp_scroll_offset', 140);?>">
					<span class="wcop_sp_nav_number"><?php esc_html_e( "2", "whcom" ) ?></span>
					<span class="wcop_sp_nav_text"><?php esc_html_e( "Hosting Plan", "wcap" ) ?></span>
				</a>
				<span class="wcop_sp_nav_divider"></span>
			</li>
			<li>
				<a href="#wcop_additional_services" class="whcom_smooth_scroll" data-scroll-top-gap="<?php echo get_option('wcop_sp_scroll_offset', 140);?>">
					<span class="wcop_sp_nav_number"><?php esc_html_e( "3", "whcom" ) ?></span>
					<span class="wcop_sp_nav_text"><?php esc_html_e( "Services", "wcap" ) ?></span>
				</a>
				<span class="wcop_sp_nav_divider"></span>
			</li>
			<li>
				<a href="#wcop_billing_info" class="whcom_smooth_scroll" data-scroll-top-gap="<?php echo get_option('wcop_sp_scroll_offset', 140);?>">
					<span class="wcop_sp_nav_number"><?php esc_html_e( "4", "whcom" ) ?></span>
					<span class="wcop_sp_nav_text"><?php esc_html_e( "Billing Info", "wcap" ) ?></span>
				</a>
				<span class="wcop_sp_nav_divider"></span>
			</li>
			<li>
				<a href="#wcop_coupon_code" class="whcom_smooth_scroll" data-scroll-top-gap="<?php echo get_option('wcop_sp_scroll_offset', 140);?>">
					<span class="wcop_sp_nav_number"><?php esc_html_e( "5", "whcom" ) ?></span>
					<span class="wcop_sp_nav_text"><?php esc_html_e( "Coupon Code", "wcap" ) ?></span>
				</a>
				<span class="wcop_sp_nav_divider"></span>
			</li>
			<li>
				<a href="#wcop_review_checkout" class="whcom_smooth_scroll" data-scroll-top-gap="<?php echo get_option('wcop_sp_scroll_offset', 140);?>">
					<span class="wcop_sp_nav_number"><?php esc_html_e( "6", "whcom" ) ?></span>
					<span class="wcop_sp_nav_text"><?php esc_html_e( "Checkout", "wcap" ) ?></span>
				</a>
				<span class="wcop_sp_nav_divider"></span>
			</li>
		</ul>
	</div>
	<div id="wcop_choose_a_domain" class="wcop_sp_section wcop_sp_section_domain">
		<?php include_once( WCOP_PATH . '/shortcodes/single_page/style1/02_domain.php' ); ?>
	</div>
	<div class="wcop_sp_add_product_form">
		<form class="wcop_sp_add_product" method="post">
			<input type="hidden" name="action" value="wcop_sp_process">
			<input type="hidden" name="wcop_sp_what" value="add_order">
			<div id="wcop_choose_a_hosting" class="wcop_sp_section">
				<?php include_once( WCOP_PATH . '/shortcodes/single_page/style1/03_product.php' ); ?>
			</div>
			<div id="wcop_additional_services" class="wcop_sp_section">
				<?php include_once( WCOP_PATH . '/shortcodes/single_page/style1/04_options.php' ); ?>
			</div>
			<div id="wcop_billing_info" class="wcop_sp_section">
				<?php include_once( WCOP_PATH . '/shortcodes/single_page/style1/05_client.php' ); ?>
			</div>
			<div id="wcop_coupon_code" class="wcop_sp_section">
				<?php include_once( WCOP_PATH . '/shortcodes/single_page/style1/06_coupon.php' ); ?>
			</div>
			<div id="wcop_review_checkout" class="wcop_sp_section">
				<?php include_once( WCOP_PATH . '/shortcodes/single_page/style1/07_checkout.php' ); ?>
			</div>
		</form>
	</div>
</div>















