<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );

//$product_array = [
//	'action' => 'AddClient',
//
//
//	'firstname' => 'John',
//	'lastname' => 'Doe',
//	'email' => 'john.doe@example.com',
//	'address1' => '123 Main Street',
//	'city' => 'Anytown',
//	'state' => 'ST',
//	'postcode' => '12345',
//	'country' => 'US',
//	'phonenumber' => '800-555-1234',
//	'password2' => 'password',
//	'cardtype' => 'Visa',
//	'cardnum' => '4111111111111111',
//	'expdate' => '0721',
//	'clientip' => '1.2.3.4',
//
//
////	'action'        => 'AddOrder',
////	'clientid'      => $_SESSION['whmcs_user']["userid"],
////	'clientip'      => strval(wcop_get_ip()),
////	'pid'           => [ '1' ],
////	'paymentmethod' => 'paypal',
//];
//
//$res = whcom_process_api( $product_array );
//

$product_id = $billing_cycle = $currency_id = $order_type = $affiliate_id = $style = '';
if ( ! isset( $atts ) ) {
	$atts = [];
}
if ( isset( $_REQUEST['domain'] ) && ! isset( $_REQUEST['pid'] ) ) {
	$_REQUEST['order_type'] = 'order_domain';
	$product_id = (!empty($_REQUEST['pid']) && $_REQUEST['pid'] > 0) ? (int)$_REQUEST['pid'] : '0';
}
if ( isset( $_REQUEST['order_type'] ) && $_REQUEST['order_type'] == 'order_product' ) {
	$_REQUEST['order_type'] = 'order_product';
}

$currency_id = '0';
if ( isset( $_REQUEST['currency'] ) && $_REQUEST['currency'] > 0 ) {
	$currency_id = whcom_validate_currency_id( $_REQUEST['currency'] );
	whcom_update_current_currency($currency_id);
}
else {
	$currency_id = whcom_get_current_currency_id();
}
extract( shortcode_atts( [
	'product_id'    => ( isset( $_REQUEST['pid'] ) && is_integer( intval( $_REQUEST['pid'] ) ) ) ? $_REQUEST['pid'] : '0',
	'currency_id'   => $currency_id,
	'billing_cycle' => ( isset( $_REQUEST['billingcycle'] ) && is_string( $_REQUEST['billingcycle'] ) ) ? $_REQUEST['billingcycle'] : '',
	'order_type'    => ( isset( $_REQUEST['order_type'] ) && is_string( $_REQUEST['order_type'] ) ) ? $_REQUEST['order_type'] : 'order_product',
	'affiliate_id'  => ( isset( $_REQUEST['affiliate_id'] ) && is_string( $_REQUEST['affiliate_id'] ) ) ? $_REQUEST['affiliate_id'] : '',
	'gids'          => '',
	'pids'          => '',
	'style'         => ''
], $atts ) );

$currency_id               = whcom_validate_currency_id( $currency_id );
whcom_update_current_currency($currency_id);

$field = 'cart_listing_page' . whcom_get_current_language();
if ( url_to_postid( esc_attr( get_option( $field ) ) ) == '0' ) {
	esc_html_e( 'Cart listing page URL is not correct', "whcom" );

	return;
}
else {
	$page_id  = url_to_postid( esc_attr( get_option( $field ) ) );
	$page_url = get_permalink( $page_id );
}

$domains_list = whcom_get_all_tlds();

echo '<div class="wcop_main whcom_main">';
if ( $order_type == 'order_domain' ) {
	include_once( WCOP_PATH . '/shortcodes/shortcode-parts/config_domain.php' );
}
elseif ( $order_type == 'order_product' ) {
	if ( $product_id > 0 ) {
		include_once( WCOP_PATH . '/shortcodes/shortcode-parts/config_product.php' );
	}
	else {
		echo do_shortcode( "[whmpress_store pids='{$pids}' gids='{$gids}']" );
	}
}
else {
	esc_html_e( 'Something went wrong', "whcom" );
}
echo '</div><div style="clear: both;"></div>';





